CodingMantra LogoCodingMantra
GalleryProductsPortfolioServicesGamesPricingContact
CodingMantra LogoCodingMantra

Providing business solutions for small and medium-sized businesses and helping them to grow.

WhatsApp ChannelX / TwitterLinkedInInstagramFacebookGitHubYouTube

Company

  • About Us
  • Services
  • Products
  • Portfolio
  • Pricing
  • Blog
  • API Docs
  • Contact Us

Top Tools

  • All Tools
  • Image Gallery
  • Image Tools
  • Digital Marketing
  • Financial Tools
  • Games
  • SEO Tools

Legal

  • Privacy Policy
  • Terms & Conditions
  • Return Policy
  • Deals
  • Sitemap

© 2026 CodingMantra. All Rights Reserved.

    1. Home
    2. API Documentation
    3. Image Tools
    4. Upscale Image

    Upscale Image API

    Enhance the resolution and quality of images using advanced AI upscaling.

    POST
    /api/image/upscale-image

    Upscale an image to a higher resolution.

    Request Body

    FieldTypeDescription
    imageDataUristringRequired. The image to upscale (URL or Base64 Data URI).
    outputResultstringOptional. `'base64'` (default) or `'url'`.

    Example Request

    curl -X POST 'https://codingmantra.com/api/image/upscale-image' \
         -H 'Content-Type: application/json' \
         -H 'Authorization: Bearer YOUR_API_KEY' \
         -d '{
              "imageDataUri": "https://example.com/low-res-image.jpg"
            }'

    Example Response

    {
      "data": {
        "upscaledImage": "https://..."
      }
    }

    On This Page

    POST UpscaleFAQ

    Frequently Asked Questions